#include "troll.h"

#include "constants.h"

troll::troll(RNG *rng, const feature enabled_features):
        player_base{rng, enabled_features, TROLL} {}

const char *troll::get_race_name() const {
        return "Troll";
}

void troll::start_turn() {
        ATK = STARTING_ATK[TROLL];
        DEF = STARTING_DEF[TROLL];
        base_hit_rate = {1, 1};
        HP = HP + GAIN_HP < MAX_HP[TROLL] ? HP + GAIN_HP : MAX_HP[TROLL];
}
